Requirements on Linux

System requirements

A relative new OS (tested on Ubuntu 16.04, 18.04, 19.04)

Software requirements

docker

Install the latest stable Docker CE through your favorite package manager.

no release for Ubuntu 19.10

Ubuntu 19.10 has no release for Docker CE so you need to applay a manual fix.
See the Github issue

ensure user is in docker group

Ensure your user is part of the docker group, so you can run docker commands as your own user.
see Docker documentation.
Don't forget step 3 in the explanation!
If logging out and in doesn't work, restart your commputer.

docker-compose

Install at least Docker compose 1.23.2 through your favorite package manager or download it manually.
If downloaded manually, be sure to check the remark below the example command!